package org.springblade.modules.sqmy.pojo.vo;

import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.modules.sqmy.pojo.entity.FzrhyInfoEntity;
import org.springblade.modules.sqmy.pojo.entity.JmhInfoEntity;
import org.springblade.modules.sqmy.pojo.entity.SqmyInfoEntity;
import org.springblade.modules.sqmy.pojo.entity.ZatbInfoEntity;

import java.util.List;

/**
 * 社情民意统计 视图实体类
 *
 * @author wth
 * @since 2024-11-12
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class SqmyTjVO extends SqmyInfoEntity {
	private static final long serialVersionUID = 1L;

	// 本年度社情民意数量
	private int ndSqmy;
	// 本季度社情民意数量
	private int jdSqmy;
	// 本日社情民意数量
	private int brSqmy;
	// 本年度入户走访户数
	private int ndRhzf;
	// 本周入户走访户数
	private int bzRhzf;
	// 本周见面会情况
	private List<JmhInfoEntity> jhmList;
	// 本月安全负责人会议
	private List<FzrhyInfoEntity> fzrhyList;
	// 本季度治安通报情况
	private List<ZatbInfoEntity> zatbList;
}
